:root{

    --color-primary: oklch(65% 0.15 240);
    --color-secondary: oklch(25% 0.05 240);
    --color-light: oklch(95% 0.01 0);
    --line-height: 1.6;
}


@media (min-width: 600px) {

    header {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .header-info {
        margin-block-end: 0;
    }

    header nav ul {
        flex-direction: row;
        gap: 1.5rem;

    }


    @media (min-width: 1200px) {
        .container {
            padding-inline: 0;
        }
    }



    * {
        box-sizing: border-box;
        margin: 0;
        padding: 0;
    }


    body {
        font-family: Book Antiqua, sans-serif;
        line-height: var(--line-height);
        color: var(--color-text);
        background-color: var(--color-light);

    }

    .container {
        max-width: 80rem;
        margin: 0 auto;
        padding-inline: 1rem;
    }


    header {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding-block: 1rem;
        background-color: var(--color-secondary);
        color: var(--color-light);

        nav{
            ul{ list-style: none;
                display: flex;
                flex-direction: column;
                gap: 1rem;
                padding: 0;
                margin: 0.5rem;
            }
        }
    }

    .header-info {
        display: flex;
        align-items: center;
        gap: 0.5rem;
        margin-block-end: 1rem;
    }

    .header-logo {
        height: 3rem;
    }

    header nav a {
        color: var(--color-light);
        text-decoration: none;
        font-weight: bold;
        transition: color 0.3s ease;

    }

    header nav a:hover {
        color: var(--color-primary);
    }

    main section {
        padding-block: 2rem;
    }


    h1, h2, h3 {
        color: rebeccapurple;
        margin-block-end: 0.5rem;
    }

    h1 {
        font-size: 2.5rem;
        font-weight: normal;
    }

    h2 {
        font-size: 1.5rem;
    }

    h3 {
        font-size: 1.2rem;
        color: var(--color-text);
        font-weight: bold;
    }


    ul li {
        list-style-type: none;
        position: relative;
        padding-left: 1.5em;
    }

    ul li::before {
        content: "-";
        position: absolute;
        left: 0;
        color: black;
        margin-right: 0.5em;
    }

    footer {
        text-align: center;
        padding: 1rem;
        background-color: var(--color-secondary);
        color: var(--color-light);
        margin-block-start: 2rem;
    }


    @media (min-width: 600px) {


        header {
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
        }

        .header-info {
            margin-block-end: 0;

        }

        header nav ul {
            flex-direction: row;
            gap: 1.5rem;
        }


        @media (min-width: 1200px) {
            .container {
                padding-inline: 0;

            }
        }
    }
}